Bug 1294818 - [RFE] Deploy multi-region OpenStack environment via OSP Director [NEEDINFO]
[RFE] Deploy multi-region OpenStack environment via OSP Director
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Rob Young
Udi Shkalim
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 08:32 EST by Ondrej
Modified: 2017-10-08 10:49 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dhill: needinfo? (royoung)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1368965 None None None 2017-01-31 13:55 EST
Red Hat Knowledge Base (Solution) 1976833 None None None 2016-07-17 15:45 EDT

  None (edit)
Description Ondrej 2015-12-30 08:32:51 EST
Description of problem:
RFE opened to keep track on progress on multi-region deployment feature for OSP Director. As at the moment is not supported.

https://access.redhat.com/solutions/1976833

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
multi-region not supported

Expected results:
multi-region supported

Additional info:
from customer:
For Enterprise Customers, there is a requirement to deploy OpenStack at multiple Datacenters across the globe. A suitable option for this seems to be using OpenStack Regions to deploy multiple OpenStack environments as separate regions.  Enterprise customers want a central management of OpenStack while deploynig across multiple Datacenters. OSP Director is the Red Hat strategic tool to deploy OpenStack in Production environments from version OSP7 onwards.  Currently there are no steps available to configure multi-region OpenStack deployment when deploying via OSP DIrector

OpenStack supports a feature called as Region. It is possible to deploy separate OpenStack deployments with each deployment consisting of all the services [e.g. glance, nova, neutron, cinder, heat ... and so on], except that Keystone is common and dashboard is common [with tab to choose region to display]. Each OpenStack deployment has its own respective endpoints registered within the common Keystone.
Comment 4 Hugh Brock 2016-04-04 07:33:07 EDT
This feature will not be in OSP 8.
Comment 17 Rob Young 2017-01-26 10:56:43 EST
We are working on the delivery plan for this and will provide more information as the plan evolves. Target delivery is planned for OSP 12 or higher, but that plan is likely to change as work is scoped and assigned to specific DFGs for E2E delivery.

Note You need to log in before you can comment on or make changes to this bug.